#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: test-framework
version: 0.8.1.1
id: test-framework-0.8.1.1-9AeLb617x2jBF4p0QVUN5W
key: test-framework-0.8.1.1-9AeLb617x2jBF4p0QVUN5W
license: BSD3
maintainer: Libraries List <libraries@haskell.org>
homepage: https://batterseapower.github.io/test-framework/
synopsis: Framework for running and organising tests, with HUnit and QuickCheck support
description:
    Allows tests such as QuickCheck properties and HUnit test cases to be assembled into test groups, run in
    parallel (but reported in deterministic order, to aid diff interpretation) and filtered and controlled by
    command line options. All of this comes with colored test output, progress reporting and test statistics output.
category: Testing
author: Max Bolingbroke <batterseapower@hotmail.com>
exposed: True
indefinite: False
exposed-modules:
    Test.Framework Test.Framework.Options Test.Framework.Providers.API
    Test.Framework.Runners.API Test.Framework.Runners.Console
    Test.Framework.Runners.Options Test.Framework.Runners.TestPattern
    Test.Framework.Seed
hidden-modules: Test.Framework.Core Test.Framework.Improving
                Test.Framework.Runners.Console.Colors
                Test.Framework.Runners.Console.ProgressBar
                Test.Framework.Runners.Console.Run
                Test.Framework.Runners.Console.Statistics
                Test.Framework.Runners.Console.Table
                Test.Framework.Runners.Console.Utilities
                Test.Framework.Runners.Core Test.Framework.Runners.Processors
                Test.Framework.Runners.Statistics Test.Framework.Runners.ThreadPool
                Test.Framework.Runners.TimedConsumption
                Test.Framework.Runners.XML.JUnitWriter Test.Framework.Runners.XML
                Test.Framework.Utilities
abi: b45e1022acfab6deb1dac5f0d480e45d
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/test-framework-0.8.1.1
library-dirs: /usr/lib/ghc-8.2.2/site-local/test-framework-0.8.1.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.2.2/test-framework-0.8.1.1
hs-libraries: HStest-framework-0.8.1.1-9AeLb617x2jBF4p0QVUN5W
depends:
    ansi-terminal-0.6.3.1-LwW7QlDDdfVDOUh8Avykfz
    ansi-wl-pprint-0.6.8.1-87Vp1rYcKt73B49zrIk7Nn base-4.10.1.0
    containers-0.5.10.2 hostname-1.0-5lbge5b93EG9eAOssUn3b3
    old-locale-1.0.0.7-uLYLcRn7Nv8SkmeS8fMf9
    random-1.1-LLUGZ7T9DqQ5vN0Jbcd0We
    regex-posix-0.95.2-1QNDtrQ5eTp5sBtNrX4AQD time-1.8.0.2
    xml-1.3.14-4CFkuDapbpFLOtwR0lZo9m
abi-depends: ansi-terminal-0.6.3.1-LwW7QlDDdfVDOUh8Avykfz=c4fcb4e64dfe3f3339acd03e710c93da
             ansi-wl-pprint-0.6.8.1-87Vp1rYcKt73B49zrIk7Nn=e6a9bf0a855d772264f9d0892180e936
             base-4.10.1.0=0ea45191c57c268b2351cb731ab6a0d6
             containers-0.5.10.2=0f9db0d1b935cacba444aac19f4cb54d
             hostname-1.0-5lbge5b93EG9eAOssUn3b3=1e26ea54c76847e41751db7c657115b7
             old-locale-1.0.0.7-uLYLcRn7Nv8SkmeS8fMf9=a09774905d29698e6c89ba4927e5c216
             random-1.1-LLUGZ7T9DqQ5vN0Jbcd0We=368a9f817c8c1b290191231dd0d81d85
             regex-posix-0.95.2-1QNDtrQ5eTp5sBtNrX4AQD=7198b9ca0c6a91812d13425b89633c4a
             time-1.8.0.2=d7392e85059cb108aeb68d6e24815970
             xml-1.3.14-4CFkuDapbpFLOtwR0lZo9m=54ceb3ab32cca0374ff7cee0a256661e
haddock-interfaces: /usr/share/doc/haskell-test-framework/html/test-framework.haddock
haddock-html: /usr/share/doc/haskell-test-framework/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

